Bug 187333 - [PATCH] net/tightvnc: support staging
Summary: [PATCH] net/tightvnc: support staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-06 23:00 UTC by Dmitry Marakasov
Modified: 2014-03-07 10:30 UTC (History)
1 user (show)

See Also:


Attachments
tightvnc-1.3.10.patch (2.26 KB, patch)
2014-03-06 23:00 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-03-06 23:00:00 UTC
[DESCRIBE CHANGES]

Port maintainer (meta+ports@vmeta.jp) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: change, diff: ports)

How-To-Repeat: - Support staging
- Use new LIB_DEPENDS syntax
Comment 1 Edwin Groothuis freebsd_committer 2014-03-06 23:00:08 UTC
Maintainer of net/tightvnc,

Please note that PR ports/187333 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187333

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2014-03-06 23:00:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Koichiro Iwao freebsd_committer 2014-03-07 01:57:02 UTC
I approve it.

-- 
`whois vmeta.jp | nkf -w`
meta <meta@vmeta.jp>
Comment 4 Dmitry Marakasov freebsd_committer 2014-03-07 10:27:28 UTC
State Changed
From-To: feedback->open

Maintainer has approved.
Comment 5 dfilter service freebsd_committer 2014-03-07 10:28:26 UTC
Author: amdmi3
Date: Fri Mar  7 10:28:18 2014
New Revision: 347353
URL: http://svnweb.freebsd.org/changeset/ports/347353
QAT: https://qat.redports.org/buildarchive/r347353/

Log:
  - Support staging
  - Use new LIB_DEPENDS syntax
  
  PR:		187333
  Submitted by:	amdmi3
  Approved by:	Koichiro IWAO <meta+ports@vmeta.jp> (maintainer)

Modified:
  head/net/tightvnc/Makefile
  head/net/tightvnc/pkg-plist

Modified: head/net/tightvnc/Makefile
==============================================================================
--- head/net/tightvnc/Makefile	Fri Mar  7 09:46:25 2014	(r347352)
+++ head/net/tightvnc/Makefile	Fri Mar  7 10:28:18 2014	(r347353)
@@ -14,7 +14,7 @@ COMMENT=	Enhanced version of VNC
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/LICENCE.TXT
 
-LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg
+LIB_DEPENDS=	libjpeg.so:${PORTSDIR}/graphics/jpeg
 RUN_DEPENDS=	showrgb:${PORTSDIR}/x11/rgb \
 		xauth:${PORTSDIR}/x11/xauth \
 		xorg-fonts>=7.2:${PORTSDIR}/x11-fonts/xorg-fonts
@@ -28,14 +28,10 @@ CFLAGS+=	-Wno-return-type
 USE_BZIP2=	yes
 USE_XORG=	xaw
 ALL_TARGET=	World
-NO_INSTALL_MANPAGES=	yes
-
-MAN1=		Xvnc.1 vncviewer.1 vncpasswd.1 vncconnect.1 vncserver.1
 
 OPTIONS_DEFINE=	JVNC_VIEWER
 JVNC_VIEWER_DESC=	Install Java-based vnc viewer
 
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 .if ${PORT_OPTIONS:MJVNC_VIEWER}
@@ -58,7 +54,7 @@ IGNORE=		vnc has already been installed,
 
 post-patch:
 .for file in vncviewer/Imakefile Xvnc/config/cf/vnclibs.def
-	@${REINPLACE_CMD} -i '' -e "s|%%LOCALBASE%%|${PREFIX}|g" ${WRKSRC}/${file}
+	@${REINPLACE_CMD} -i '' -e "s|%%LOCALBASE%%|${LOCALBASE}|g" ${WRKSRC}/${file}
 .endfor
 	@${REINPLACE_CMD} -i '' -e "s|/usr/local/vnc/classes|${DATADIR}/classes|g" \
 		${WRKSRC}/vncserver
@@ -66,15 +62,15 @@ post-patch:
 		s|%%CFLAGS%%|${CFLAGS}|g" ${WRKSRC}/Xvnc/config/cf/FreeBSD.cf
 
 do-install:
-	@(cd ${WRKSRC}; ./vncinstall ${PREFIX}/bin ${PREFIX}/man)
+	@(cd ${WRKSRC}; ./vncinstall ${STAGEDIR}${PREFIX}/bin ${STAGEDIR}${PREFIX}/man)
 .if defined(STRIP) && ${STRIP} != ""
 .for FILE in Xvnc vncviewer vncpasswd vncconnect
-	@${STRIP_CMD} ${PREFIX}/bin/${FILE}
+	@${STRIP_CMD} ${STAGEDIR}${PREFIX}/bin/${FILE}
 .endfor
 .endif
 .if ${PORT_OPTIONS:MJVNC_VIEWER}
-	@${MKDIR} ${DATADIR}/classes
-	${INSTALL_DATA} ${WRKSRC}/classes/*.* ${DATADIR}/classes
+	@${MKDIR} ${STAGEDIR}${DATADIR}/classes
+	${INSTALL_DATA} ${WRKSRC}/classes/*.* ${STAGEDIR}${DATADIR}/classes
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/net/tightvnc/pkg-plist
==============================================================================
--- head/net/tightvnc/pkg-plist	Fri Mar  7 09:46:25 2014	(r347352)
+++ head/net/tightvnc/pkg-plist	Fri Mar  7 10:28:18 2014	(r347353)
@@ -25,3 +25,8 @@ bin/vncviewer
 %%JVNC_VIEWER%%%%DATADIR%%/classes/index.vnc
 %%JVNC_VIEWER%%@dirrm %%DATADIR%%/classes
 %%JVNC_VIEWER%%@dirrm %%DATADIR%%
+man/man1/Xvnc.1.gz
+man/man1/vncconnect.1.gz
+man/man1/vncpasswd.1.gz
+man/man1/vncserver.1.gz
+man/man1/vncviewer.1.gz
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Dmitry Marakasov freebsd_committer 2014-03-07 10:28:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!